Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_sem.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_ipc.h"`

Include dependency graph for os_sem.h:

This graph shows which files directly or indirectly include this file:

## Compounds
union | semun
## Defines
#define | GETVAL 0
#define | SETVAL 0
#define | GETALL 0
#define | SETALL 0
#define | SEM_UNDO 0

## Detailed Description

XSI semaphore facility

Id:
  os_sem.h,v 1.3 2003/11/01 11:15:19 dhinton Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define GETALL 0

#define GETVAL 0

#define SEM_UNDO 0

#define SETALL 0

#define SETVAL 0